import { FeedbackResult, IPasswordStrengthMeterService } from 'angular-password-strength-meter';
import { ZxvbnConfigType } from './password-strength-meter.types';
import * as i0 from "@angular/core";
export declare const DEFAULT_CONFIG: ZxvbnConfigType;
export declare class PasswordStrengthMeterZXCVBNService extends IPasswordStrengthMeterService {
    constructor(options: ZxvbnConfigType);
    /**
     *  this will return the password strength score in number
     *  0 - too guessable
     *  1 - very guessable
     *  2 - somewhat guessable
     *  3 - safely unguessable
     *  4 - very unguessable
     *
     *  @param password - Password
     */
    score(password: string): number;
    /**
     * this will return the password strength score with feedback messages
     * return type FeedbackResult
     *
     * @param password - Password
     */
    scoreWithFeedback(password: string): FeedbackResult;
    scoreAsync(password: string): Promise<number>;
    scoreWithFeedbackAsync(password: string): Promise<FeedbackResult>;
    static ɵfac: i0.ɵɵFactoryDeclaration<PasswordStrengthMeterZXCVBNService, [{ optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PasswordStrengthMeterZXCVBNService>;
}
